From 8208a0268fa7fb4cd6a32e699a6a0fcbb7817d81 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 1 Feb 2025 06:50:51 +0000
Subject: [PATCH] iproute2: upgrade 6.12.0 -> 6.13.0

---
 ...nk.h-add-missing-include-for-htobe64.patch |  6 +-
 ...-ip-rearrange-and-prune-header-files.patch | 90 -------------------
 ...{iproute2_6.12.0.bb => iproute2_6.13.0.bb} |  3 +-
 3 files changed, 4 insertions(+), 95 deletions(-)
 delete mode 100644 meta/recipes-connectivity/iproute2/iproute2/0001-ip-rearrange-and-prune-header-files.patch
 rename meta/recipes-connectivity/iproute2/{iproute2_6.12.0.bb => iproute2_6.13.0.bb} (95%)

diff --git a/meta/recipes-connectivity/iproute2/iproute2/0001-include-libnetlink.h-add-missing-include-for-htobe64.patch b/meta/recipes-connectivity/iproute2/iproute2/0001-include-libnetlink.h-add-missing-include-for-htobe64.patch
index 03af400ecd..f1746c5096 100644
--- a/meta/recipes-connectivity/iproute2/iproute2/0001-include-libnetlink.h-add-missing-include-for-htobe64.patch
+++ b/meta/recipes-connectivity/iproute2/iproute2/0001-include-libnetlink.h-add-missing-include-for-htobe64.patch
@@ -1,4 +1,4 @@
-From 4dc0613e229f6b4a57beb00dde14ef319a2dcad8 Mon Sep 17 00:00:00 2001
+From 5b3a2008631c7ab09252335fad42c2d347b7691d Mon Sep 17 00:00:00 2001
 From: Alexander Kanavin <alex@linutronix.de>
 Date: Sat, 24 Aug 2024 15:32:25 +0200
 Subject: [PATCH] include/libnetlink.h: add missing include for htobe64
@@ -11,10 +11,10 @@ Signed-off-by: Alexander Kanavin <alex@linutronix.de>
  1 file changed, 1 insertion(+)
 
 diff --git a/include/libnetlink.h b/include/libnetlink.h
-index 30f0c2d..77e8181 100644
+index 7074e91..3dbfa42 100644
 --- a/include/libnetlink.h
 +++ b/include/libnetlink.h
-@@ -12,6 +12,7 @@
+@@ -13,6 +13,7 @@
  #include <linux/neighbour.h>
  #include <linux/netconf.h>
  #include <arpa/inet.h>
diff --git a/meta/recipes-connectivity/iproute2/iproute2/0001-ip-rearrange-and-prune-header-files.patch b/meta/recipes-connectivity/iproute2/iproute2/0001-ip-rearrange-and-prune-header-files.patch
deleted file mode 100644
index 2f77910614..0000000000
--- a/meta/recipes-connectivity/iproute2/iproute2/0001-ip-rearrange-and-prune-header-files.patch
+++ /dev/null
@@ -1,90 +0,0 @@
-From 714291a63246cb3e6b86eb2a78fa84216d768a4b Mon Sep 17 00:00:00 2001
-From: Stephen Hemminger <stephen@networkplumber.org>
-Date: Tue, 10 Dec 2024 13:38:08 -0800
-Subject: [PATCH] ip: rearrange and prune header files
-
-The recent report of issues with missing limits.h impacting musl
-suggested looking at what files are and are not included in ip code.
-
-The standard practice is to put standard headers first, then system,
-then local headers. Used iwyu to get suggestions about missing
-and extraneous headers.
-
-Upstream-Status: Backport [https://git.kernel.org/pub/scm/network/iproute2/iproute2.git/commit/?id=7e23da91fca6e5dedeb32a7d308cf20982e897c3]
-Signed-off-by: Stephen Hemminger <stephen@networkplumber.org>
-Signed-off-by: Alexander Kanavin <alex@linutronix.de>
----
- ip/iplink.c  | 13 +++++--------
- ip/ipnetns.c | 19 +++++++++----------
- 2 files changed, 14 insertions(+), 18 deletions(-)
-
-diff --git a/ip/iplink.c b/ip/iplink.c
-index e650a5c2..8df367ed 100644
---- a/ip/iplink.c
-+++ b/ip/iplink.c
-@@ -11,17 +11,14 @@
- #include <fcntl.h>
- #include <dlfcn.h>
- #include <errno.h>
-+#include <string.h>
-+#include <strings.h>
-+#include <limits.h>
-+
- #include <sys/socket.h>
-+#include <arpa/inet.h>
- #include <linux/if.h>
--#include <linux/if_packet.h>
- #include <linux/if_ether.h>
--#include <linux/sockios.h>
--#include <netinet/in.h>
--#include <arpa/inet.h>
--#include <string.h>
--#include <sys/ioctl.h>
--#include <stdbool.h>
--#include <linux/mpls.h>
- 
- #include "rt_names.h"
- #include "utils.h"
-diff --git a/ip/ipnetns.c b/ip/ipnetns.c
-index 5c943400..a20cd8bc 100644
---- a/ip/ipnetns.c
-+++ b/ip/ipnetns.c
-@@ -1,21 +1,21 @@
- /* SPDX-License-Identifier: GPL-2.0 */
- #define _ATFILE_SOURCE
--#include <sys/file.h>
--#include <sys/types.h>
--#include <sys/stat.h>
--#include <sys/wait.h>
--#include <sys/inotify.h>
--#include <sys/mount.h>
--#include <sys/syscall.h>
-+
- #include <stdio.h>
-+#include <stdint.h>
- #include <string.h>
--#include <sched.h>
- #include <fcntl.h>
- #include <dirent.h>
- #include <errno.h>
- #include <unistd.h>
- #include <ctype.h>
--#include <linux/limits.h>
-+#include <limits.h>
-+
-+#include <sys/file.h>
-+#include <sys/types.h>
-+#include <sys/stat.h>
-+#include <sys/inotify.h>
-+#include <sys/mount.h>
- 
- #include <linux/net_namespace.h>
- 
-@@ -23,7 +23,6 @@
- #include "list.h"
- #include "ip_common.h"
- #include "namespace.h"
--#include "json_print.h"
- 
- static int usage(void)
- {
diff --git a/meta/recipes-connectivity/iproute2/iproute2_6.12.0.bb b/meta/recipes-connectivity/iproute2/iproute2_6.13.0.bb
similarity index 95%
rename from meta/recipes-connectivity/iproute2/iproute2_6.12.0.bb
rename to meta/recipes-connectivity/iproute2/iproute2_6.13.0.bb
index 741d54799d..f2ed381132 100644
--- a/meta/recipes-connectivity/iproute2/iproute2_6.12.0.bb
+++ b/meta/recipes-connectivity/iproute2/iproute2_6.13.0.bb
@@ -13,10 +13,9 @@ DEPENDS = "flex-native bison-native iptables libcap"
 
 SRC_URI = "${KERNELORG_MIRROR}/linux/utils/net/${BPN}/${BP}.tar.xz \
            file://0001-include-libnetlink.h-add-missing-include-for-htobe64.patch \
-           file://0001-ip-rearrange-and-prune-header-files.patch \
            "
 
-SRC_URI[sha256sum] = "bbd141ef7b5d0127cc2152843ba61f274dc32814fa3e0f13e7d07a080bef53d9"
+SRC_URI[sha256sum] = "a43aa43338d882b44d01e549f3f105a92ae9feea32a82fae45a88e7a49302819"
 
 inherit update-alternatives bash-completion pkgconfig
 
-- 
2.44.1

